Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Content

Get Content By Id
GET /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1/contentmodules/{moduleId}/content/{contentId}
Get the content with ID contentId.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Responses
application/json
JSON
{"data":{"id":"b077c764-4e48-4a1d-96a1-0da171d43de8","url":null,"userId":"9fe188bc-d8fb-4f1b-b934-cafc5a34f968","userUrl":null,"categoryId":"dcee5123-810f-4495-83ed-79cb7e4ab504","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-04-16T12:43:33.6476404+00:00","lastModifiedDateTime":"2026-04-17T08:43:33.6476404+00:00","availableFrom":"2026-04-17T12:43:33","startDateTimeZone":null,"availableUntil":"2026-04-18T12:43:33","endDateTimeZone":null,"medias":[{"id":"53aa2229-3d43-4402-ba00-da12b0553aab","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"37dec9ef-0506-4aa7-a8b3-ad25db77c215","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"7ee4f889-6b52-49c0-a9f2-8ee37b3e6fd7","url":null},{"type":"Department","name":"Department name example","id":"993a0a4e-1d54-4b9f-83d6-97e930739b19","url":null},{"type":"User group","name":"User group name example","id":"25bf5912-52d5-407e-98f3-1eab82cd4c4c","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"507e7665-935e-47a3-b53d-8f419301e44d"}],"userGroups":[{"url":null,"name":"User group name example","id":"6dec2887-29a9-4c88-a9b2-62fe029719c6"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string